<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  
  <!-- this template matches elements of tye object-->
  <xsl:template match="object">

    <xsl:choose>

      <!--if it's an object image/*, let's replace it with an img-->
      <xsl:when test="(substring(@type,1,6)='image/')">
        <xsl:element name="img">
          <xsl:attribute name="src"><xsl:value-of select="@data"/></xsl:attribute>
          <xsl:attribute name="alt"><xsl:value-of select="./node()"/></xsl:attribute>
          <xsl:if test="@align">
            <xsl:attribute name="align"><xsl:value-of select="@align"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@class">
            <xsl:attribute name="class"><xsl:value-of select="@class"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@style">
            <xsl:attribute name="style"><xsl:value-of select="@style"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@border">
            <xsl:attribute name="border"><xsl:value-of select="@border"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@width">
            <xsl:attribute name="width"><xsl:value-of select="@width"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@height">
            <xsl:attribute name="height"><xsl:value-of select="@height"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@hspace">
            <xsl:attribute name="hspace"><xsl:value-of select="@hspace"/></xsl:attribute>
          </xsl:if>
          <xsl:if test="@vspace">
            <xsl:attribute name="vspace"><xsl:value-of select="@vspace"/></xsl:attribute>
          </xsl:if>
        </xsl:element>
      </xsl:when>

      <!-- any other type of object will be rendered as-is. -->
      <xsl:otherwise>
        <xsl:copy>
          <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
      </xsl:otherwise>

    </xsl:choose>

  </xsl:template>

  <!-- any other element/node will be rendered as-is. -->
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
</xsl:stylesheet>